%global pypi_name PyQt-builder
%global srcname PyQt-builder
%global lcname pyqt-builder

Group:          Development/Python
Name:           python-%lcname
Version:        1.13.0
Release:        %mkrel 1
Summary:        The PEP 517 compliant PyQt build system

License:        GPLv2 or GPLv3
URL:            https://www.riverbankcomputing.com/software/pyqt/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python-macros

%description
PyQt-builder is the PEP 517 compliant build system for PyQt and projects that
extend PyQt. It extends the sip build system and uses Qt's qmake to perform the
actual compilation and installation of extension modules.Projects that use
PyQt- builder provide an appropriate pyproject.toml file and an optional
project.py.

%package -n	python3-%lcname
Summary:	Python package to handle CHM files
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-chm}

%description -n	python3-%{lcname}
The chm package provides three modules, chm, chmlib and extra,
which provide access to the API implemented by the C library
chmlib and some additional classes and functions. They are
used to access MS-ITSS encoded files - Compressed Html Help
files (.chm).

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

# These dll files are from openssl and microsoft visiual studio
# While we can redistribute them, we don't have source and it's
# unlikely anyone will want to bundle a windows executable from linux.
rm -rf %{buildroot}/%{python3_sitelib}/pyqtbuild/bundle/dlls

%files -n python3-%lcname
%license LICENSE-GPL2
%license LICENSE-GPL3
%{_bindir}/pyqt-bundle
%{_bindir}/pyqt-qt-wheel
%{python3_sitelib}/pyqtbuild
%{python3_sitelib}/PyQt_builder-%{version}.dist-info/



%changelog
* Tue Aug 30 2022 squidf <squid-f> 1.13.0-1
- First version for MGA8

* Tue Aug 09 2022 wally <wally> 1.13.0-1.mga9
+ Revision: 1876317
- new version 1.13.0
- switch build to use pyproject RPM macros

* Wed Mar 23 2022 umeabot <umeabot> 1.12.2-2.mga9
+ Revision: 1822791
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 1.12.2-1.mga9
+ Revision: 1775415
- imported package python-pyqt-builder


* Tue Feb 15 2022 Thierry Vignaud <tv@mageia.org> 1.12.2-1.mga9
- Import from Fedora

* Sat Oct 30 2021 Scott Talbert <swt@techie.net> - 1.12.2-1
- Update to new upstream release 1.12.2 (#2018190)

* Tue Oct 12 2021 Scott Talbert <swt@techie.net> - 1.12.1-1
- Update to new upstream release 1.12.1 (#2013246)

* Mon Oct 04 2021 Scott Talbert <swt@techie.net> - 1.11.0-1
- Update to new upstream release (#2010060)

* Fri Sep 24 2021 Scott Talbert <swt@techie.net> - 1.10.3-2
- Fix license info (#2007385)

* Wed Jul 21 2021 Scott Talbert <swt@techie.net> - 1.10.3-1
- Update to new upstream release 1.10.3 (#1984602)

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.10.0-2
- Rebuilt for Python 3.10

* Mon May 24 2021 Scott Talbert <swt@techie.net> - 1.10.0-1
- Update to latest upstream release; remove hard-code on sip5

* Mon Jan 25 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 2020 Kevin Fenzi <kevin@scrye.com> - 1.6.0-2
- Remove shipped dlls.

* Tue Dec 15 2020 Kevin Fenzi <kevin@scrye.com> - 1.6.0-1
- Initial package.
